stages:
   - compile
#   - deploy

compile:
  stage: compile
  before_script:
    - git submodule update --init
  script: hugo --cleanDestinationDir=true -d /srv/runner/live/boniface.me/
  artifacts:
    paths:
     - public
  only:
  - master

#deploy to dreamhost:
#  stage: deploy
#  script: rsync -e "/usr/bin/ssh"  -rv public/ anthonylavado@clam.dreamhost.com:blog.anthonylavado.com
#  environment: production
#  only:
#  - master


